import Mindmap from '../model/Mindmap';
import NodeModel from '../model/NodeModel';
import XMLMindmapSerializer from './XMLMindmapSerializer';
declare class XMLSerializerBeta implements XMLMindmapSerializer {
    private static MAP_ROOT_NODE;
    toXML(mindmap: Mindmap): any;
    _topicToXML(document: Document, topic: NodeModel): HTMLElement;
    _iconToXML(document: any, icon: any): any;
    _linkToXML(document: any, link: any): any;
    _noteToXML(document: any, note: any): any;
    _formsToXML(document: any, form: any): any;
    loadFromDom(dom: any, mapId: any): Mindmap;
    _deserializeNode(domElem: any, mindmap: any): any;
    _deserializeIcon(domElem: Element): import("../model/FeatureModel").default;
    _deserializeLink(domElem: Element): import("../model/FeatureModel").default;
    _deserializeNote(domElem: Element): import("../model/FeatureModel").default;
    _deserializeForm(domElem: Element): import("../model/FeatureModel").default;
}
export default XMLSerializerBeta;
